<?php

namespace Chinkei\Tm\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind Tm workflow validator
        'Chinkei\Tm\Models\Tm' => \Chinkei\Tm\Workflow\TmValidator::class,
        // Bind 131414 workflow validator
        'Chinkei\Tm\Models\131414' => \Chinkei\Tm\Workflow\131414Validator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind Tm workflow actions
        'Chinkei\Tm\Models\Tm' => \Chinkei\Tm\Workflow\TmAction::class,
        // Bind 131414 workflow actions
        'Chinkei\Tm\Models\131414' => \Chinkei\Tm\Workflow\131414Action::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind Tm workflow notifiers
        'Chinkei\Tm\Models\Tm' => \Chinkei\Tm\Workflow\TmNotifier::class,
        // Bind 131414 workflow notifiers
        'Chinkei\Tm\Models\131414' => \Chinkei\Tm\Workflow\131414Notifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
