<?php

namespace Chinkei\Tm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TmTransformer extends TransformerAbstract
{
    public function transform(\Chinkei\Tm\Models\Tm $tm)
    {
        return [
            'id'                => $tm->getRouteKey(),
            'key'               => [
                'public'    => $tm->getPublicKey(),
                'route'     => $tm->getRouteKey(),
            ], 
            'id'                => $tm->id,
            'name'              => $tm->name,
            'week'              => $tm->week,
            'url'               => [
                'public'    => trans_url('tm/'.$tm->getPublicKey()),
                'user'      => guard_url('tm/tm/'.$tm->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tm->status),
            'created_at'        => format_date($tm->created_at),
            'updated_at'        => format_date($tm->updated_at),
        ];
    }
}