<?php

namespace Chinkei\Tm\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Chinkei\Tm\Models\131414;

class 131414Action
{
    /**
     * Perform the complete action.
     *
     * @param 131414 $131414
     *
     * @return 131414
     */
    public function complete(131414 $131414)
    {
        try {
            $131414->status = 'complete';
            return $131414->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param 131414 $131414
     *
     * @return 131414
     */public function verify(131414 $131414)
    {
        try {
            $131414->status = 'verify';
            return $131414->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param 131414 $131414
     *
     * @return 131414
     */public function approve(131414 $131414)
    {
        try {
            $131414->status = 'approve';
            return $131414->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param 131414 $131414
     *
     * @return 131414
     */public function publish(131414 $131414)
    {
        try {
            $131414->status = 'publish';
            return $131414->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param 131414 $131414
     *
     * @return 131414
     */
    public function archive(131414 $131414)
    {
        try {
            $131414->status = 'archive';
            return $131414->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param 131414 $131414
     *
     * @return 131414
     */
    public function unpublish(131414 $131414)
    {
        try {
            $131414->status = 'unpublish';
            return $131414->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
