<?php

namespace Chinkei\Tm\Workflow;

use Chinkei\Tm\Models\131414;
use Validator;

class 131414Validator
{

    /**
     * Determine if the given 131414 is valid for complete status.
     *
     * @param 131414 $131414
     *
     * @return bool / Validator
     */
    public function complete(131414 $131414)
    {
        return Validator::make($131414->toArray(), [
            'title' => 'required|min:15',
        ]);
    }

    /**
     * Determine if the given 131414 is valid for verify status.
     *
     * @param 131414 $131414
     *
     * @return bool / Validator
     */
    public function verify(131414 $131414)
    {
        return Validator::make($131414->toArray(), [
            'title'  => 'required|min:15',
            'status' => 'in:complete',
        ]);
    }

    /**
     * Determine if the given 131414 is valid for approve status.
     *
     * @param 131414 $131414
     *
     * @return bool / Validator
     */
    public function approve(131414 $131414)
    {
        return Validator::make($131414->toArray(), [
            'title'  => 'required|min:15',
            'status' => 'in:verify',
        ]);

    }

    /**
     * Determine if the given 131414 is valid for publish status.
     *
     * @param 131414 $131414
     *
     * @return bool / Validator
     */
    public function publish(131414 $131414)
    {
        return Validator::make($131414->toArray(), [
            'title'       => 'required|min:15',
            'description' => 'required|min:50',
            'status'      => 'in:approve,archive,unpublish',
        ]);

    }

    /**
     * Determine if the given 131414 is valid for archive status.
     *
     * @param 131414 $131414
     *
     * @return bool / Validator
     */
    public function archive(131414 $131414)
    {
        return Validator::make($131414->toArray(), [
            'title'       => 'required|min:15',
            'description' => 'required|min:50',
            'status'      => 'in:approve,publish,unpublish',
        ]);

    }

    /**
     * Determine if the given 131414 is valid for unpublish status.
     *
     * @param 131414 $131414
     *
     * @return bool / Validator
     */
    public function unpublish(131414 $131414)
    {
        return Validator::make($131414->toArray(), [
            'title'       => 'required|min:15',
            'description' => 'required|min:50',
            'status'      => 'in:publish',
        ]);

    }
}
