<?php

namespace Chinkei\Tm\Workflow;

use Chinkei\Tm\Models\Tm;
use Chinkei\Tm\Notifications\TmWorkflow as TmNotifyer;
use Notification;

class TmNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Tm $tm
     *
     * @return void
     */
    public function complete(Tm $tm)
    {
        return Notification::send($tm->user, new TmNotifyer($tm, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Tm $tm
     *
     * @return void
     */
    public function verify(Tm $tm)
    {
        return Notification::send($tm->user, new TmNotifyer($tm, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Tm $tm
     *
     * @return void
     */
    public function approve(Tm $tm)
    {
        return Notification::send($tm->user, new TmNotifyer($tm, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Tm $tm
     *
     * @return void
     */
    public function publish(Tm $tm)
    {
        return Notification::send($tm->user, new TmNotifyer($tm, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Tm $tm
     *
     * @return void
     */
    public function archive(Tm $tm)
    {
        return Notification::send($tm->user, new TmNotifyer($tm, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Tm $tm
     *
     * @return void
     */
    public function unpublish(Tm $tm)
    {
        return Notification::send($tm->user, new TmNotifyer($tm, 'unpublish'));;

    }
}
